Skip to main content
PUT
/
workspaces
cURL
curl --request PUT \
  --url https://api.mudstack.com/workspaces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-account-id: <x-account-id>' \
  --header 'x-workspace-id: <x-workspace-id>' \
  --form file='@example-file' \
  --form 'body={}'
import requests

url = "https://api.mudstack.com/workspaces"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "body": "{}" }
headers = {
    "x-account-id": "<x-account-id>",
    "x-workspace-id": "<x-workspace-id>",
    "Authorization": "Bearer <token>"
}

response = requests.put(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('body', '{}');

const options = {
  method: 'PUT',
  headers: {
    'x-account-id': '<x-account-id>',
    'x-workspace-id': '<x-workspace-id>',
    Authorization: 'Bearer <token>'
  }
};

options.body = form;

fetch('https://api.mudstack.com/workspaces', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "thumbnail_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "defaultAvatar": 1,
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sequence": "<string>",
  "roles": {
    "workspace_id": "<string>",
    "user_id": "<string>",
    "roles": [
      "<string>"
    ],
    "user": {
      "id": "<string>",
      "auth0UserID": "<string>",
      "username": "<string>",
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "avatar_file_id": "<string>",
      "defaultAvatar": 123,
      "industry": "<string>",
      "occupation": "<string>",
      "company": "<string>",
      "emailVerified": true,
      "isActive": true,
      "city": "<string>",
      "state": "<string>",
      "country": "<string>",
      "zipCode": "<string>",
      "invited_by_user": "<unknown>"
    }
  },
  "usage": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required
x-workspace-id
string<uuid>
required

Body

multipart/form-data
file
file
body
object

Response

200 - application/json

Successfully updated workspace details

id
string<uuid>

Unique identifier for the workspace.

account_id
string<uuid>

Unique identifier for the account associated with the workspace.

name
string

Name of the workspace.

thumbnail_file_id
string<uuid>

Unique identifier for the thumbnail file associated with the workspace.

defaultAvatar
integer
default:1

Default avatar for the workspace.

Required range: 1 <= x <= 10
created_by_user_id
string<uuid>

Unique identifier for the user who created the workspace.

sequence
string<bigint>

Sequence number for the workspace.

roles
object

Roles associated with the workspace.

usage
object

Usage information for the workspace.